<?php
$render = function ( $attributes, $content ) {
	$encoded = json_encode($attributes, JSON_HEX_APOS|JSON_HEX_QUOT);

	if (isset($attributes['accordionTitle']) && $attributes['accordionTitle'] != '') {
		$title = $attributes['accordionTitle'];
	} else {
		$title = 'Untitled';
	}

	$startOpen = '';
	if (isset($attributes['startOpen']) && $attributes['startOpen']) {
		$startOpen= ' open ';
	}

	$markup = '<details class="gecko-accordion" data-props="%s" '.$startOpen.'>';
		$markup .= '<summary class="gecko-accordion__title">';
			$markup .= '<div class="gecko-accordion__icon-wrapper">';
				$markup .= '<div class="gecko-accordion__icon gecko-accordion__icon--open">';
					$markup .= '<svg width="32" height="32" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1683 1331l-166 165q-19 19-45 19t-45-19l-531-531-531 531q-19 19-45 19t-45-19l-166-165q-19-19-19-45.5t19-45.5l742-741q19-19 45-19t45 19l742 741q19 19 19 45.5t-19 45.5z" /></svg>';
				$markup .= '</div>';
				$markup .= '<div class="gecko-accordion__icon gecko-accordion__icon--closed">';
					$markup .= '<svg width="32" height="32" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1683 808l-742 741q-19 19-45 19t-45-19l-742-741q-19-19-19-45.5t19-45.5l166-165q19-19 45-19t45 19l531 531 531-531q19-19 45-19t45 19l166 165q19 19 19 45.5t-19 45.5z" /></svg>';
				$markup .= '</div>';
			$markup .= '</div>';
		$markup .= '%s</summary>';

		$markup .= '<section class="gecko-accordion__content">%s</section>';
	$markup .= '</details>';

	return sprintf(
		$markup,
		htmlspecialchars($encoded, ENT_QUOTES, 'UTF-8'),
		$title,
		$content
	);
};