<?php
namespace GeckoBlocks;

class Init {
	public function __construct() {
		// new Settings();

		new Blocks();

		add_action("init", [$this, "register_scripts"], 0);
	}

	public function register_scripts(){
		$scripts = [
			// 'lazy-load' => [],
		];
		foreach($scripts as $script => $deps){
			$this->register_script($script, $deps);
		}
	}

	private function register_script($slug, $deps =[]){
		if(file_exists (GECKO_BLOCKS__PLUGIN_DIR .'build/scripts/'.$slug.'.js')){
			wp_register_script(
				$slug,
				GECKO_BLOCKS__PLUGIN_URL.'build/scripts/'.$slug.'.js',
				$deps,
				filemtime( GECKO_BLOCKS__PLUGIN_DIR . 'build/scripts/'.$slug.'.js' )
			);
		}
	}
}