<?php
namespace GeckoBlocks;

class Settings {
	public function __construct() {
		add_action( 'admin_menu', array( $this, 'pages' ), 5 );
	}

	public function pages(){
		add_menu_page(
			'Gecko Blocks',
			'Gecko Blocks',
			'manage_options',
			'gecko-blocks',
			function(){
				wp_register_script(
					'gecko-blocks',
					GECKO_BLOCKS__PLUGIN_URL.'/build/scripts/gecko-blocks.js',
					['react','react-dom']
				);
				wp_enqueue_script('gecko-blocks');
				//enqueue scripts and use react
				echo '<div id="gecko-blocks">Loading</div>';
			},
			GECKO_BLOCKS__PLUGIN_URL.'/assets/images/icon.svg',
			60
		);
	}
}
